Subject: Re: Fwd: [Bug 447812] New: Netlink messages from "tc" to sch_netem module are not interpreted correctly

From: Rick Jones <[email-masked]>
Date: Wed, 21 May 2008 15:16:23 -0700

Dave Jones wrote:
> # If the kernel is acting up this will cause a kernel
> # message of the following form to be emitted and visible
> # via dmesg | tail
> #  netlink: 12 bytes leftover after parsing attributes.

Not _much_ added value, but I can add that I see a similar message - 
with 8 replacing 12 - when running netperf "omni" tests:

netlink: 8 bytes leftover after parsing attributes.
netlink: 8 bytes leftover after parsing attributes.
netlink: 8 bytes leftover after parsing attributes.
c12:~/netperf2_trunk# uname -a
Linux c12 2.6.24-1-mckinley #1 SMP Sat Apr 19 00:19:28 UTC 2008 ia64 
GNU/Linux

And netperf was compiled on that system itself so ostensibly had the 
correct headers etc...

I also see those messages on a 2.6.26-rc1 kernel:

izzy:~/netperf2_trunk# ./configure --enable-omni
...
izzy:~/netperf2_trunk# src/netperf -t omni -H c12.cup.hp.com -- -o foo
OMNI TEST from 0.0.0.0 (0.0.0.0) port 0 AF_INET to c12.cup.hp.com 
(16.89.133.212) port 0 AF_INET
netlink: 8 bytes leftover after parsing attributes.
Throughput
94.02
izzy:~/netperf2_trunk# uname -a
Linux izzy 2.6.26-rc1-raj #1 SMP Thu May 8 15:24:23 PDT 2008 ia64 GNU/Linux
izzy:~/netperf2_trunk# cat foo
throughput

rick jones